PHP Manual
Prev |  | Next

# mysqli_connect_error

(PHP 5)

mysqli_connect_error -- Returns a string description of the last connect error

## Description

string mysqli_connect_error ( void )

Returns the last error message string from the last call to mysqli_connect().

## Return Values

A string that describes the error. An empty string if no error occurred.

## Examples

Example 1. mysqli_connect_error() example

`<?php $link = @mysqli_connect("localhost", "nonexisting_user", ""); if (!$link) { printf("Can't connect to localhost. Error: %s\n", mysqli_connect_error()); } ?>`

## See Also

mysqli_connect()
mysqli_connect_errno()
mysqli_errno()
mysqli_error()
mysqli_sqlstate()

Prev | Home | Next
mysqli_connect_errno | Up | mysqli_connect